## BanditReloaded v4

[![](https://i.imgur.com/UVwK6hR.jpg)]()

[![](https://i.imgur.com/rhjew49.png)]()
[![](https://i.imgur.com/R5zcn4K.png)]()

## IMPORTANT: READ THIS
- Classic Bandit is SEPARATE from the vanilla Bandit.
- All players need the same setting when choosing between using the old model and the new one.
- Updating from v3 to v4 will automatically reset your config due to heavy internal changes to the mod.
- All players need the mod.
- Config options marked with * are server-side. In general, all players should have the same config options if possible.
- The config doesn't auto-update when installing new versions of the mod, so delete your config or manually change the values if you want to receive the newest balance changes.

## Installation
Drop BanditReloaded.dll into \BepInEx\plugins\
Settings can be changed in BepInEx\config\com.Moffein.BanditReloaded_v3.cfg

## Credits
Moffein - Creation of this amazing mod
mistername - Ice explosion fix
Kooby521 - Skill icons
Tera - Skill icon concepts
N0TORIOUS_BLT - Bandit figurine used in the mod icon
Rob - Skin support, Dynamite model
Dragonyck - Maintaining, bug fixing and some polish

Sounds taken from Dirty Bomb, Blood, Nuclear Throne

## To-do

- Fix Scepter item display position

## Changelog
4.1.0 

- SOTV Update
- Dynamite bomblets fixed and random direction improved.
- Added config option to swap Secondary and Special slots. For that classic/ror1 Bandit feel.
- Skills now properly turn spriting off while firing them. This will make sure they work like the vanilla skills and fixes animation issues.
- Temporarily disabled Ancient Scepter support.
- Several minor bug fixes.

4.0.4

- Fixed directional audio.

4.0.3

- Updated for the Anniversary Hotfix update.

4.0.2

- Fixed survivor select position.

4.0.1

- Added config options to use RoR2 Alpha sounds for Blast and the 2 Specials.
- Lowered volume of classic Blast sound.

4.0.0

- General
	- Bandit now uses the new sounds and VFX.
		- New model can be accessed via config. EVERYONE NEEDS TO HAVE THE SAME SETTING FOR THIS.
	- Bandit has been renamed to Classic Bandit in the character select.
	- Lots of internal changes to the code structure.

- Blast
	- Mag size reduced 10 -> 8
	- Damage increased 230% -> 250%
	- Mash spread increased 0.4 -> 0.5
	- Disabled falloff.
	- Now uses Vanilla Bandit's reload.
- Scatter
	- Damage increased 8x65% -> 8x70%
	- Enabled mash firing. Mashing increases fire rate from 1 shot every 0.625s to 1 shot every 0.414s.
	- Is now affected by spread increases when mashing if it is enabled in the config.
	- Now uses Vanilla Bandit's reload.
	
- Dynamite Toss
	- Cooldown reduced 7s -> 6s
- Acid Bomb
	- Cooldown Reduced 7s -> 6s
- Thermite Flare
	- Cooldown reduced 7s -> 6s
	- Proc coefficient increased 0.2 -> 0.4
	
- Smokebomb
	- Cooldown increased 8s -> 9s.
	- Cooldown now ticks down while the skill is active.
	- Radius increased 10m -> 12m
	- Damage increased 150% -> 200%
	- Damage boost increased +30% TOTAL -> +50% TOTAL
	
- Specials
	- Specials now execute ALL enemies at 10% HP.
	- Special grace period duration now is a fixed 0.5s. Lightweight enemies (Wisps, Jellyfish) get a 3.6s grace period duration so that you can splat them.
	- Special grace period setting is now shared between the 2 specials.
	- Rack em Up now has a unique slow debuff applied on each hit (-10% speed per stack). Each stack lasts for 3s.
	
- Bugfixes
	- Fixed some nonfunctional config options.
	- Fixed Fistful of Lead (Rack em Up's Ancient Scepter replacement) having reduced range.
	- Fixed Executing keyword missing from Rack em Up's description.